html {
    min-width: 320px !important;
    overflow-x: hidden !important;
    overscroll-behavior: none !important;
}

body {
    min-width: 320px !important;
    overflow-x: hidden !important;
}

#pi-area-example {
    max-width: 100%;
}

#page {
    margin-top: 50px;
}

video {
    max-width: 85%;
}

pre {
    width: fit-content;
    max-width: 85% !important;
}

.pseudo-code {
    max-width: 85%;
    width: fit-content;
    padding-inline: 20px;
    padding-block: 15px;
    overflow-y: scroll;
}

.pseudo-code > .MJXc-display {
    margin-block: 0px;
    margin-inline: 0px;
    width: fit-content;
}

:not(.project-image, .pseudo-code, .project-logo) > .MJXc-display {
    max-width: 85% !important;
    overflow-x: scroll;
    overflow-y: hidden;
    margin-inline: auto !important;
}

.table-wrapper {
    max-width: 85% !important;
    margin-inline: auto !important;
    overflow: scroll;
    margin-top: 32px;
}

.table-wrapper table {
    max-width: 100% !important;
}

#header {
    position: fixed !important;
    top: 0px;
}

.tier-list {
    max-width: 100%;
}

@media (max-width: 850px) {
    .project-image  {
        min-width: 220px !important;
    }

    .project-logo {
        transform: scale(0.85);
    }

    pre.project-image > * {
        font-size: 13px !important;
    }
}

@media (max-width: 800px) {
    .reactions-cont {
        margin-top: 65px !important;
        transform: scale(0.9);
    }

    .tier-list * {
        font-size: 22px !important;
    }

    .tier-sort {
        min-height: 60px;
    }

    .tier-item {
        height: 60px;
    }

    .tier-name {
        min-height: 60px !important;
        width: 75px;
    }

    .tier-row {
        min-height: 60px;
    }
        
    pre.project-image > * {
        font-size: 12px !important;
    }

    .project-grid {
        margin-block: 35px;
        gap: 25px !important;
    }

    .meme > img {
        width: 180px;
    }

    .pseudo-code {
        font-size: 14px;
        padding-inline: 18px;
        padding-block: 14px;
    }

    pre > span, 
    .pseudo-code > .label {
        font-size: 12px;
        padding-block: 4px;
        padding-inline: 9px;
    }

    code {
        font-size: 14px !important;
        padding: 18px !important;
    }

    table {
        font-size: 14px;
    }

    td, th {
        padding-inline: 18px;
        padding-block: 9px;
    }

    .table-wrapper {
        margin-top: 30px;
    }

    #page {
        margin-top: 45px;
    }

    .img-title {
        font-size: 11px !important;
    }

    #actions > button > i{
        font-size: 18px;
        padding-inline: 10px;
    }

    #navigation > ul > li > a {
        padding-inline: 9px;
    }

    #logo {
        margin-right: 20px;
    }

    .title {
        font-size: 30px;
    }

    p {
        font-size: 14px !important;
    }

    .project-title {
        font-size: 21px;
    }

    .project-describtion {
        font-size: 14px !important;
    }

    .project-keywords {
        font-size: 9px;
    }

    .project-grid {
        gap: 20px;
    }

    #link-to-projects {
        font-size: 14px;
        margin-top: 0px;
    }

    .footer-text {
        font-size: 14px;
    }

    .footer-link > span {
        font-size: 14px;
    }

    .footer-link-cont {
        gap: 25px;
    }

    #footer {
        height: 90px;
    }

    #logo span {
        font-size: 55px;
    }

    #logo h3 {
        font-size: 30px;
    }

    #navigation a {
        font-size: 18px;
    }

    #header {
        height: 45px;
    }

    #contact-card {
        top: -180px;
        width: 320px;
        height: 200px;
    }

    #contact-card .info {
        font-size: 12px;
    }

    #contact-card .logo {
        font-size: 50px;
    }

    .project-image  {
        min-width: 200px !important;
    }

    .project-logo {
        transform: scale(0.75);
    }
}

@media (max-width: 750px) {
    #cat {
        width: 180px;
    }

    #catText {
        font-size: 10px;
    }
}

@media (max-width: 680px) {
    .meme > img {
        width: 160px;
    }

    .project-image {
        display: none;
        visibility: hidden;
    }

    .tag.complete {
        font-size: 12px !important;
    }
}

@media (max-width: 620px) {
    .reactions-cont {
        margin-top: 45px !important;
        transform: scale(0.8);
    }

    .tier-list * {
        font-size: 18px !important;
    }

    .tier-sort {
        min-height: 40px;
    }

    .tier-item {
        height: 40px;
    }

    .tier-name {
        min-height: 40px !important;
        width: 55px;
    }

    .tier-row {
        min-height: 40px;
    }

    #pi-area-example {
        height: 300px!important;
    }

    #pi-area-example > span {
        font-size: 50px !important;
    }   

    .project-grid {
        margin-block: 25px;
        gap: 20px !important;
    }

    .pseudo-code {
        font-size: 12px;
        padding-inline: 15px;
        padding-block: 12px;
    }

    pre > span, 
    .pseudo-code > .label {
        font-size: 11px;
        padding-block: 3px;
        padding-inline: 8px;
    }

    code {
        font-size: 12px !important;
        padding: 16px !important;
    }

    table {
        font-size: 12px;
    }

    td, th {
        padding-inline: 16px;
        padding-block: 8px;
    }

    .table-wrapper {
        margin-top: 26px;
    }

    #page {
        margin-top: 40px;
    }

    .section {
        margin-bottom: 30px;
    }

    .img-title {
        font-size: 10px !important;
    }

    h2 {
        margin-top: 20px !important;
        margin-bottom: -5px !important;
    }

    p {
        margin-block: 20px !important;
    }

    #actions > button > i{
        font-size: 16px;
        padding-inline: 8px;
    }

    #navigation > ul > li > a {
        padding-inline: 8px;
    }

    #logo {
        margin-right: 15px;
    }

    #cat {
        width: 160px;
    }

    #catText {
        font-size: 10px;
    }

    .title {
        font-size: 26px;
    }

    p {
        font-size: 12px !important;
    }

    .project-title {
        font-size: 16px;
    }

    .project-describtion {
        font-size: 12px !important;
    }

    .project-keywords {
        font-size: 9px;
    }

    #link-to-projects {
        font-size: 12px;
        margin-top: -5px;
    }

    .footer-text {
        font-size: 12px;
    }

    .footer-link > span {
        font-size: 12px;
    }

    .footer-link-cont {
        gap: 20px;
    }

    #footer {
        height: 80px;
    }

    #logo span {
        font-size: 50px;
    }

    #logo h3 {
        font-size: 25px;
    }

    #navigation a {
        font-size: 16px;
    }

    #header {
        height: 40px;
    }

    #contact-card {
        top: -185px;
        width: 300px;
        height: 180px;
    }

    #contact-card .info {
        font-size: 10px;
    }

    #contact-card .logo {
        font-size: 45px;
    }
}

@media (max-width: 580px) {
    .meme > img {
        width: 140px;
    }
}

@media (max-width: 480px) {
    .reactions-cont {
        margin-top: 15px !important;
        transform: scale(0.7);
    }

    #pi-area-example {
        height: 250px !important;
    }

    #pi-area-example > span {
        font-size: 40px !important;
    }

    .project-grid {
        margin-block: 20px;
        gap: 15px !important;
    }

    .meme > img {
        width: 120px;
    }

    .pseudo-code {
        font-size: 11px;
        padding-inline: 12px;
        padding-block: 10px;
    }

    pre > span, 
    .pseudo-code > .label {
        font-size: 10px;
        padding-block: 3px;
        padding-inline: 7px;
    }

    code {
        font-size: 11px !important;
        padding: 14px !important;
    }

    table {
        font-size: 11px;
    }

    td, th {
        padding-inline: 14px;
        padding-block: 7px;
    }

    .table-wrapper {
        margin-top: 20px;
    }

    #page {
        margin-top: 35px;
    }

    h2 {
        margin-top: 15px !important;
        margin-bottom: -5px !important;
    }

    p {
        margin-block: 12px !important;
    }

    #actions > button > i{
        font-size: 14px;
        padding-inline: 6px;
    }

    #email-btn {
        margin-bottom: 0.1px;
    }

    #navigation > ul > li > a {
        padding-inline: 6.5px;
    }

    #logo {
        margin-right: 10px;
    }

    .tag.complete {
        font-size: 10px !important;
        margin-top: -7px;
    }

    .title {
        font-size: 22px;
    }

    p {
        font-size: 11px !important;
    }

    .project-right {
        padding-top: 15px;
        padding-bottom: 12.5px;
        padding-inline: 20px;
    }

    .project-card > .tag {
        font-size: 8px;
        padding-block: 3px;
        padding-inline: 6px;
    }

    .project-describtion {
        font-size: 11px !important;
    }

    .project-grid {
        gap: 15px;
    }

    #link-to-projects {
        font-size: 12px;
        margin-top: -5px;
    }

    #link-to-projects {
        font-size: 11px;
        margin-top: -5px;
    }

    .footer-text {
        font-size: 11px;
    }

    .footer-link > span {
        font-size: 11px;
    }

    .footer-link-cont {
        gap: 15px;
    }

    #footer {
        height: 70px;
    }

    #logo span {
        padding-top: 2px;
        font-size: 45px;
    }

    #logo h3 {
        font-size: 20px;
    }

    #navigation a {
        font-size: 14px;
    }

    #header {
        height: 35px;
    }

    #contact-card {
        top: -185px;
        width: 280px;
        height: 160px;
    }

    #contact-card .info {
        font-size: 10px;
    }

    #contact-card .logo {
        font-size: 40px;
    }
}

@media (max-width: 380px) {
    .reactions-cont {
        margin-top: 0px !important;
        transform: scale(0.6);
    }

    #pi-area-example {
        height: 180px !important;
    }

    #pi-area-example > span {
        font-size: 30px !important;
    }

    .project-grid {
        margin-block: 18px;
        gap: 12px !important;
    }

    .meme > img {
        width: 100px;
    }

    .pseudo-code {
        font-size: 9px;
        padding-inline: 9px;
        padding-block: 9px;
    }

    pre > span, 
    .pseudo-code > .label {
        font-size: 8px;
        padding-block: 2px;
        padding-inline: 6px;
    }

    code {
        font-size: 9px !important;
        padding: 12px !important;
    }

    table {
        font-size: 9px;
    }

    td, th {
        padding-inline: 12px;
        padding-block: 6px;
    }

    .table-wrapper {
        margin-top: 19px;
    }

    #page {
        margin-top: 30px;
    }

    .section {
        margin-bottom: 25px;
    }

    .img-title {
        font-size: 8px !important;
    }

    #actions > button > i{
        font-size: 12px;
        padding-inline: 6px;
    }

    #navigation > ul > li > a {
        padding-inline: 5px;
    }

    #logo {
        margin-right: 7px;
    }

    .tag.complete {
        font-size: 8px !important;
        margin-top: -9px;
    }

    #cat {
        width: 140px;
    }

    #catText {
        font-size: 9px;
    }

    .title {
        font-size: 18px;
    }

    p {
        font-size: 9px !important;
    }

    .project-right {
        padding-top: 12px;
        padding-bottom: 9.5px;
        padding-inline: 17px;
    }

    .project-card > .tag {
        font-size: 7px;
        padding-block: 2px;
        padding-inline: 4px;
    }
    
    .project-title {
        font-size: 15px;
    }

    .project-describtion {
        font-size: 10px !important;
    }

    .project-keywords {
        font-size: 8px;
    }

    .project-grid {
        gap: 10px;
    }

    #link-to-projects {
        font-size: 9px;
        margin-top: 0px;
    }

    .footer-text {
        font-size: 9px;
    }

    .footer-link > span {
        font-size: 9px;
    }

    .footer-link-cont {
        gap: 10px;
    }

    #footer {
        height: 60px;
    }

    #logo span {
        padding-top: 5px;
        font-size: 35px;
    }

    #logo h3 {
        font-size: 15px;
    }

    #navigation a {
        font-size: 12px;
    }

    #header {
        height: 30px;
    }
}